code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
source1='*10000.0*renamed.fa'
source2='*7000.3000*renamed.fa'
sink='*9900.100*renamed.fa'
combo='source.0.source.30.sink.01.combined.fa'
python make-meta.py $combo $source1 $source2 $sink
mv $combo.meta $combo-qiime/metadata.txt
cd $combo-qiime
biom convert -i otu_table.biom -o otus.txt -b
R --vanilla --slave < exampl... | germs-lab/non-point-source-tracking | automation/single-spike/30-2-st.sh | Shell | mit | 711 |
_homebrew-installed() {
type brew &> /dev/null
}
FOUND_RBENV=0
rbenvdirs=("$HOME/.rbenv" "/usr/local/rbenv" "/opt/rbenv" "/usr/local/opt/rbenv")
if _homebrew-installed && rbenv_homebrew_path=$(brew --prefix rbenv 2>/dev/null); then
rbenvdirs=($rbenv_homebrew_path "${rbenvdirs[@]}")
unset rbenv_homebrew_path
... | larrylv/oh-my-zsh | plugins/rbenv/rbenv.plugin.zsh | Shell | mit | 1,631 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-3269-1
#
# Security announcement date: 2015-05-22 00:00:00 UTC
# Script generation date: 2017-01-01 21:07:24 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: armv7l
#
# Vulnerable packages fix on version:
# - postgresql-9.1:9.1.16-0+deb7u1
#
# ... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/armv7l/2015/DSA-3269-1.sh | Shell | mit | 678 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-2292-1
#
# Security announcement date: 2011-08-11 00:00:00 UTC
# Script generation date: 2017-01-01 21:06:17 UTC
#
# Operating System: Debian 6 (Squeeze)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - isc-dhcp:4.1.1-P1-15+squeeze3
#
# ... | Cyberwatch/cbw-security-fixes | Debian_6_(Squeeze)/x86_64/2011/DSA-2292-1.sh | Shell | mit | 658 |
#!/bin/sh
USAGE="usage: gitflow gh-pages [-c | --commit]\n\n"
remoteUrl=
has_remote=0
first_commit=0
branch_exists=0
while test $# != 0
do
case "$1" in
-c | --commit)
first_commit=1
;;
-h | --help)
printf "${USAGE}"
exit 0
;;
*)
printf "Unknown option.\n"
printf "${USAGE}"
exit 1
... | ajthor/gitflow | bin/gh-pages.sh | Shell | mit | 1,002 |
#!/usr/bin/env bash
echo "Generating sample files with phtools-related tags"
# ********** CITY ************
# cfile="tag_city0.JPG"
# echo "Preparing file $cfile ..."
# cp "_template.JPG" "$cfile"
# exiftool -P -overwrite_original "-MWG:City=MWG-Петербург" "$cfile"
#
# cfile="tag_city1.JPG"
# echo "Preparing file $cfil... | AndrewBiz/phtools | features/media/tags/gen_all_tags.sh | Shell | mit | 9,637 |
# Regenerates Lyft project from current directory
function re() {
export INCLUDE_NON_APP_TRANSITIVE=2
export NO_SWIFTLINT=1
make -C $(git rev-parse --show-toplevel) update_dependencies targets=Lyft
}
| sberrevoets/dotfiles | bash/lyft.bash | Shell | mit | 212 |
#!/usr/bin/env bash
#------------------------------------------------------------------------------
# This script builds the solidity binary using Emscripten.
# Emscripten is a way to compile C/C++ to JavaScript.
#
# http://kripken.github.io/emscripten-site/
#
# First run install_dep.sh OUTSIDE of docker and then
# ru... | ruchevits/solidity | scripts/travis-emscripten/build_emscripten.sh | Shell | mit | 4,362 |
# Set window root path. Default is `$session_root`.
# Must be called before `new_window`.
#window_root "~/Projects/{{WINDOW_NAME}}"
# Create new window. If no argument is given, window name will be based on
# layout file name.
new_window "LeadPages"
# Split window into panes.
split_v 20
split_h 66
select_pane 2
split... | truetone/tmuxifier | layouts/lp.window.sh | Shell | mit | 787 |
set -xe
cd groeneboekje2015
SPELL_VERSION=`dpkg -l|grep libaspell|grep -v dev|awk '{print $3}'`
DICT_VERSION=`dpkg -l|grep aspell-nl|awk '{print $3}'`
DESTINATION=aspell\_$SPELL_VERSION\_nl\_$DICT_VERSION
if [ ! -e ../$DESTINATION ]
then
mkdir ../$DESTINATION
fi
if [ -e groeneboekje2015_lemmas.txt ]
then
../che... | OpenTaal/compare-spell-checking | check_aspell_groeneboekje2015.sh | Shell | mit | 652 |
#!/bin/bash
<%!
import common.project_utils as project
%>
SCRIPT_DIR="$( cd "$( dirname "$0" )" && pwd )";
SCRIPT_DIR="$( readlink -f $SCRIPT_DIR )";
cd "$SCRIPT_DIR";
SERVER_NAME="${project.get_server_name()}";
SERVERD_NAME="$SERVER_NAME";
SERVER_FULL_NAME="${project.get_server_full_name()}";
SERVER_BUS_ID=${hex(... | atframework/atsf4g-co | install/tools/script/helper/template/script/common.template.sh | Shell | mit | 4,631 |
#!/bin/bash
curl -fsSL https://get.docker.com/ | sh
# selinux
mkdir -p /data
semanage fcontext -a -t var_t /data
restorecon -v /data
# docker config
sudo mkdir /etc/docker
sudo tee /etc/docker/daemon.json <<-'EOF'
{
"registry-mirrors": ["https://registry.docker-cn.com"],
"data-root": "/data/docker/lib/docker/"
}
... | tudyzhb/linux-bootstrap | centos7/sh/docker_shell.sh | Shell | mit | 705 |
#!/bin/sh
git_dir=$1
sub_dirs=`ls $git_dir | grep -v "\."`
for i in $sub_dirs
do
cd $git_dir/$i
local_hash=`git rev-parse --verify master`
remote_hash=`git rev-parse --verify origin/master`
need_commit=`git status --short`
need_push=`echo $local_hash | grep -v $remote_hash`
if test -n "$need_commit"; then
... | natemara/git_check | git_check.sh | Shell | mit | 412 |
#!/bin/bash
# Exercise all the analysis
set -e
FILES="files/SYSTEM.PASCAL files/SYSTEM.STARTUP"
tools/list_pcode.py -m 0 $FILES > /dev/null
tools/list_pcode.py -m 1 $FILES > /dev/null
tools/list_pcode.py -m 2 $FILES > /dev/null
tools/list_pcode.py -m 3 $FILES > /dev/null
tools/list_pcode.py -m 4 $FILES > /dev/null
tool... | laanwj/sundog | test_tools.sh | Shell | mit | 448 |
#!/bin/bash
patch -Np1 -i ../kbd-2.0.3-backspace-1.patch
sed -i 's/\(RESIZECONS_PROGS=\)yes/\1no/g' configure
sed -i 's/resizecons.8 //' docs/man/man8/Makefile.in
PKG_CONFIG_PATH=/tools/lib/pkgconfig ./configure --prefix=/usr --disable-vlock
make
make install
mkdir -v /usr/share/doc/kbd-2.0.3
cp -R -v docs/doc/* ... | nmuzychuk/lfs-build | build_lfs/install/kbd-2.0.3.sh | Shell | mit | 345 |
#!/bin/bash
CLUSTER_VERSION=`pg_lsclusters -h|awk '{print $1}'`
set -e
set -x
sudo -u postgres service postgresql stop
echo "Dropping current cluster"
sudo -u postgres pg_dropcluster $CLUSTER_VERSION main
echo "Creating new cluster with UTF8 encoding"
sudo -u postgres pg_createcluster --locale=$LC_ALL $CLUSTER_VER... | mpeterson/docker-postgresql | prepare_postgres.sh | Shell | mit | 1,048 |
#!/bin/bash
if [ "x${SERVER_ADDR}" == "x" ]; then
echo "Please specify the SERVER_ADDR"
exit 1
fi
sed -i s/"name: \"\""/"name: \"${SERVER_ADDR}\""/ /gearmanui/config.yml
sed -i s/"addr: \"\""/"addr: \"${SERVER_ADDR}:4730\""/ /gearmanui/config.yml
apache2ctl -D FOREGROUND
| pandeyanshuman/docker-gearman-ui | run_gearmanui.sh | Shell | mit | 282 |
#!/bin/sh
NOW=`date +%Y%m%d`
BACKUP_DIR="vagrantbox_backup"
#VM_NAME="${VM_NAME}"
VM_NAME="redmine"
BOX_NAME="ubuntu-14.04-${VM_NAME}.${NOW}.box"
if [ ! -d "${BACKUP_DIR}" ]; then mkdir ${BACKUP_DIR}; fi
ST=`vagrant status | grep -w ${VM_NAME} | awk '{print $2}'`
#echo $ST
case $ST in
poweroff) vagrant package $... | ftakao2007/vagrant | script/vagrantbox_backup.sh | Shell | mit | 559 |
#!/bin/bash
set -e
source "$HOME/.rvm/scripts/rvm"
local_folder=$(pwd)
RESULT=0
for test_app in $(ls test_apps)
do
if [[ $RESULT == 0 ]]
then
echo $test_app
cd $local_folder/test_apps/$test_app
RUBY_VERSION=$(cat RUBY_VERSION)
rvm use $RUBY_VERSION || rvm install $RUBY_VERSION --disable-binary &... | webhoernchen/active_sql | script/run_tests.sh | Shell | mit | 695 |
#!/usr/bin/env bash
gunicorn --reload --max-requests 1 -b 0.0.0.0:$PORT app:app | jongha/stock-ai | start.sh | Shell | mit | 79 |
#!/bin/bash
# ============================================================
# chmod u+x make.sh
# ./make.sh
# ============================================================
# ============================================================
# Configuration:
# ============================================================
#
# PR... | FrancescoRizzi/AWSomesauce | articles/BAS1-uws/make.sh | Shell | mit | 4,878 |
#!/usr/bin/env bash
set -e
"$(dirname "$0")/npm_install.sh" vscode-json-language-server vscode-langservers-extracted
| ruchee/vimrc | vimfiles/bundle/lsp-settings/installer/install-vscode-json-language-server.sh | Shell | mit | 119 |
#!/bin/sh
cobc -x -free cow.cbl `ls -d controllers/*` -o the.cow
| azac/cobol-on-wheelchair | downhill.sh | Shell | mit | 66 |
./compile-and-run-recursive.sh 50 5 4 7
| antunflas/Computing-the-Optimal-Threshold-for-Q-gram-filters | main-recursive/test-recursive.sh | Shell | mit | 40 |
#!/bin/sh
DIR=`pwd`
VERSION=2_0_PR3
rm -rf /tmp/sandbox
mkdir /tmp/sandbox
cp -r hello /tmp/sandbox/
cp -r src /tmp/sandbox/
cp -r web /tmp/sandbox/
cp -r README /tmp/sandbox/
cp -r LICENSE /tmp/sandbox/
cd /tmp/sandbox
perl -p -i -e "s#/../vendor#/vendor#" src/autoload.php
sudo rm -rf hello/cache/* hello/logs/* .git*... | noelg/symfony-news | create_sandbox.sh | Shell | mit | 590 |
if ! which rvm > /dev/null; then
gpg --keyserver hkp://pool.sks-keyservers.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
curl -sSL https://get.rvm.io | bash
fi
| jmeridth/dotfiles | install_rvm.sh | Shell | mit | 220 |
#!/bin/sh
VERSION=4.9.2
tar --files-from=file.list -xjvf ../gcc-$VERSION.tar.bz2
mv gcc-$VERSION gcc-$VERSION-orig
cp -rf ./gcc-$VERSION-new ./gcc-$VERSION
diff -b --unified -Nr gcc-$VERSION-orig gcc-$VERSION > gcc-$VERSION-lpc17xx-multilib.patch
mv gcc-$VERSION-lpc17xx-multilib.patch ../../patches
rm -rf ./gcc... | radix-platform/toolchains | sources/GNU/gcc/gcc-4.9.2/create-4.9.2-lpc17xx-multilib-patch/create.patch.sh | Shell | mit | 357 |
#!/bin/bash
# make brew work on
1. create all users
2. create administrators group
3. add all users to administrator group
4. run:
sudo chgrp -R brew $(brew --prefix)/*
sudo chmod -R g+w $(brew --prefix)/*
| jturolla/dotfiles | users.sh | Shell | mit | 208 |
#!/bin/bash
set -e
sudo apt-get update
local_directory="`dirname \"$0\"`"
date_of_installation_start=$(date +"%s")
for file in 01_install_nodejs.sh 02_clone_repository.sh 03_install_packages.sh 04_install_postgresql.sh 05_install_modules.sh 06_initialize.sh 07_testdata.sh
do
"$local_directory/$file"
done
date_o... | niccokunzmann/cp-automated-development | setup-zen/install.sh | Shell | mit | 528 |
#! /bin/bash
### Load a gt4gemstone from .gs files into a standard stone
### Exits with 0 if success, 1 if failed
set -e
export GT4GEMSTONE_RELEASE_HOME="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
## Topaz refuses to exit from script if input is stdin, so redirect from /dev/zero
topaz -l -I ${GT4GEMSTONE_RELEASE... | feenkcom/gt4gemstone | scripts/release/inputRelease.sh | Shell | mit | 572 |
#!/bin/bash
$PROJECT_HOME/env/bin/gunicorn \
-b 0.0.0.0:8888 \
--error-logfile=- \
--access-logfile=- \
--access-logformat="%(h)s %(l)s %(u)s %(t)s '%(r)s' %(s)s %(b)s" \
--keep-alive 5 \
--workers 4 \
--worker-class "gevent" \
parser_app:app 2>&1
| qiqiustb/slack-challenge | html_parser/run.sh | Shell | mit | 281 |
VARIANT=musl
. "$IMAGEDIR/config.sh"
. "$INCLUDE/void.sh"
generate-void
| vpsfreecz/build-vpsfree-templates | images/void-musl/build.sh | Shell | mit | 72 |
#!/bin/bash
# Create a date stamped journal file
# (UTC fits my day/night cycle better)
journalfile=$(date --utc +%Y%m%d-%u.md);
if [[ ! -f $journalfile ]]; then
# Create journal file with today's date as Heading 1
echo "# "$(date "+%A, %e %B, %Y") >> $journalfile;
# Add to git repo
git add $journalfile;
else
ec... | samuell/mdnote | editnewjournalfile.sh | Shell | mit | 474 |
export PATH="$HOME/.rbenv/shims:/.rbenv/bin:$PATH" | coxy/dotfiles | ruby/path.zsh | Shell | mit | 50 |
#!/bin/sh
VERSION=0.9.33.2
tar --files-from=file.list -xjvf ../uClibc-$VERSION.tar.bz2
mv uClibc-$VERSION uClibc-$VERSION-orig
cp -rf ./uClibc-$VERSION-new ./uClibc-$VERSION
diff -b --unified -Nr uClibc-$VERSION-orig uClibc-$VERSION > uClibc-$VERSION-out-of-tree.patch
mv uClibc-$VERSION-out-of-tree.patch ../patc... | radix-platform/toolchains | sources/uClinux/uClibc/create-0.9.33.2-out-of-tree-patch/create.patch.sh | Shell | mit | 380 |
#!/bin/bash
python prettyqr.py "http://github.com/davidszotten" --logo=example/logo.svg --logo-raster=example/logo.png --color "#ff6600" --output example/output.svg
| davidszotten/prettyqr | example.sh | Shell | mit | 166 |
#!/bin/bash
BASE_DIR=`dirname $0`
echo ""
echo "This script starts all the services needed to develop the"
echo "motorsports API locally."
echo "-------------------------------------------------------------------"
# Default parameters
#
HOST="127.0.0.1"
PORT="5000"
PROCFILE="bin/procfiles/Procfile.dev"
# Parse the ... | pitrho/motorsports-historic-data-api | bin/devserver.sh | Shell | mit | 1,892 |
#!/bin/bash
ps aux |grep node|grep cn_app|awk '{print $2}' |xargs kill
cd /home/joker/earn
nohup node cn_app 1>> nohup.cn.out 2>&1 &
ps aux|grep tail |grep 'nohup.cn.out'|awk '{print $2}' |xargs kill
tail -f nohup.cn.out &
| wusuowe/earn | start_cn.sh | Shell | mit | 224 |
#!/usr/bin/env bash
#return value visualisation
PS1="\$? \$(if [[ \$? == 0 ]]; then echo \"\[\033[0;32m\];)\"; else echo \"\[\033[0;31m\];(\"; fi)\[\033[00m\] : "
# Zero is a green smiley and non-zero a red one. So your prompt will smile if the last operation was successful.
| stephaneAG/Bash_tests | promptHacks/returnValueOfLastCmd.sh | Shell | mit | 277 |
#!/bin/bash
INSTALL_ROOT=$HOME
DOTFILES_ROOT=$INSTALL_ROOT/dotfiles
VIM_ROOT=$INSTALL_ROOT/.vim
if [ -z $OSTYPE ] ; then
OSTYPE="$(uname -o)"
fi
case "$OSTYPE" in
darwin*) OS=OSX ;;
linux*) OS=LINUX ;;
Linux*) OS=LINUX ;;
*) OS=unknown ;;
esac
echo "Install prerequisites for ${OS}"
if [ "${OS}... | alxzoomer/dotfiles | install.sh | Shell | mit | 4,423 |
#!/bin/sh
set -ev
Rscript -e "bookdown::render_book('index.Rmd', 'bookdown::gitbook')"
#Rscript -e "bookdown::render_book('index.Rmd', 'bookdown::pdf_book')"
#Rscript -e "bookdown::render_book('index.Rmd', 'bookdown::epub_book')"
| deynarde/kag-knight-compendium | _build.sh | Shell | cc0-1.0 | 233 |
#!/bin/bash
#
# Configuration of the command line tests
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 2005 Ulf Lamping
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Fre... | sodzawic/tk | test/config.sh | Shell | gpl-2.0 | 3,983 |
#!/bin/bash
name=sagittal-examples
midi=${name}-midi
ps=${name}-ps
microabc -i- -S -M${name}.abp > ${midi}.abc
abc2midi ${midi}.abc
microabc -i- -S -P${name}.abp > ${ps}.abc
abcm2ps ${ps}.abc -O ${name}.ps
ps2pdf ${name}.ps
| laughingman182/microabc | sagittal-examples.sh | Shell | gpl-2.0 | 225 |
#/!bin/sh
## $Id: viper-ubuntu.sh 24/07/2015 $
##
## script to install Viper on debian/ubuntu 14.04 minimal
##
## Authored by daverstephens@gmail.com
##
## https://github.com/daverstephens/The-SOC-Shop
##
## Start with a minimal install of 64bit Ubuntu Server 14.04
## which should include OpenSSH option selected during... | Archangel-SOC/The-SOC-Shop | Viper/viper-install.sh | Shell | gpl-2.0 | 2,343 |
#!/bin/sh
#
# Copyright (c) 2003, 2016, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the F... | FauxFaux/jdk9-langtools | test/tools/javac/Paths/MineField.sh | Shell | gpl-2.0 | 11,801 |
#!/bin/sh
export PLATFORM="AOSP"
export MREV="KK4.4"
export CURDATE=`date "+%m.%d.%Y"`
export MUXEDNAMELONG="KT-SGS4-$MREV-$PLATFORM-$CARRIER-$CURDATE"
export MUXEDNAMESHRT="KT-SGS4-$MREV-$PLATFORM-$CARRIER*"
export KTVER="--$MUXEDNAMELONG--"
export KERNELDIR=`readlink -f .`
export PARENT_DIR=`readlink -f ..`
export IN... | ktoonsez/KT-SGS4 | build_master.sh | Shell | gpl-2.0 | 4,691 |
#!/bin/bash
# Script to deploy frontaccounting at Terminal.com
# Cloudlabs, INC. Copyright (C) 2015
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at yo... | terminalcloud/apps | frontaccounting_installer.sh | Shell | gpl-2.0 | 2,319 |
# $1: package name
common_coinqt ()
{
cd $MYMKR_PREFIX/src/$1 || die "cd source dir failed"
qmake \
"USE_UPNP=-" \
INCLUDEPATH="$MYMKR_PREFIX/include" \
LIBS="-L$MYMKR_PREFIX/lib" \
DESTDIR="$MYMKR_PREFIX/bin" \
|| die 'qmake failed'
make $JOBS || die 'make failed'
}
| sensorii/mymkr | mymkr/common/coinqt.sh | Shell | gpl-2.0 | 281 |
#!/bin/sh
test_description='test separate work tree'
. ./test-lib.sh
test_expect_success 'setup' '
EMPTY_TREE=$(git write-tree) &&
EMPTY_BLOB=$(git hash-object -t blob --stdin </dev/null) &&
CHANGED_BLOB=$(echo changed | git hash-object -t blob --stdin) &&
ZEROES=0000000000000000000000000000000000000000 &&
EMPTY... | vidarh/Git | t/t1501-worktree.sh | Shell | gpl-2.0 | 8,003 |
#!/bin/sh
#
# Attempt to figure out the minimum set of includes for our header files.
#
# ### this is incomplete. it merely lists the header files in order from
# ### "no dependencies on other svn headers" to the larger header files
# ### which have dependencies. manually working through the headers in
# ### this order... | bdmod/extreme-subversion | BinarySourcce/subversion-1.6.17/tools/dev/min-includes.sh | Shell | gpl-2.0 | 1,510 |
#!/bin/bash
rm .version
# Bash Color
green='\033[01;32m'
red='\033[01;31m'
blink_red='\033[05;31m'
restore='\033[0m'
clear
# Resources
THREAD="-j$(grep -c ^processor /proc/cpuinfo)"
KERNEL="zImage"
DTBIMAGE="dtb"
DEFCONFIG="shamu_defconfig"
# Kernel Details
BASE_AK_VER="LiquidKernel"
VER=".v2.5_"
CURDATE=$(date "+%m... | CPA-Poke/LiquidKernel-Shamu | shamu.sh | Shell | gpl-2.0 | 3,390 |
#!/bin/sh
# tsql.sh
#
# $Id$
#
# VARIOUS MACHINE BYTEORDER support
#
# This file is part of the OpenLink Software Virtuoso Open-Source (VOS)
# project.
#
# Copyright (C) 1998-2012 OpenLink Software
#
# This project is free software; you can redistribute it and/or modify it
# under the terms of the GNU Ge... | trueg/virtuoso-opensource | binsrc/tests/suite/byteorder.sh | Shell | gpl-2.0 | 2,167 |
#!/bin/bash
########################
# 备份数据 mysql/web
# ./backup.sh live
########################
source settings.sh
DATE=`date +%Y%m%d-%H%M`
MysqlName='mysql.tar.gz'
WebName='web.tar.gz'
BackupPath=$BACKUP/$DATE
mkdir $BackupPath -p
echo "Backup Mysql"
drush sql-dump | gzip > $BackupPath/$MysqlName
echo "Backu... | ForeverGlory/GloryFrame | scripts/backup.sh | Shell | gpl-2.0 | 435 |
convert images/OCS-647-A.png -crop 1550x311+0+0 +repage images/OCS-647-A-0.png
convert -append images/OCS-646-B-8.png images/OCS-647-A-0.png images/OCS-646-B-8.png
rm images/OCS-647-A-0.png
convert images/OCS-647-A.png -crop 1550x551+0+318 +repage images/OCS-647-A-1.png
convert images/OCS-647-A.png -crop 1550x467+0+870... | jonnymwalker/Staroslavjanskij-Slovar | scripts/findindents.OCS-647.sh | Shell | gpl-2.0 | 1,394 |
#!/bin/bash
#
# This is a quick script to speed up development that kills an installed JIRA
# version.
#
./jira/bin/shutdown.sh
rm -rf atlassian-jira*;rm jira;rm -rf mysql-connector-java-5.1.5/;rm mysqlj.tgz;rm jira.sql
| adamfisk/littleshoot-client | bin/bootstrap/atlassian/jira/reset.bash | Shell | gpl-2.0 | 221 |
#!/bin/sh
[ -n "$INCLUDE_ONLY" ] || {
NOT_INCLUDED=1
INCLUDE_ONLY=1
. ../netifd-proto.sh
. ./ppp.sh
init_proto "$@"
}
proto_3g_init_config() {
no_device=1
available=1
ppp_generic_init_config
proto_config_add_string "device:device"
proto_config_add_string "apn"
proto_config_add_string "service"
proto_conf... | link4all/20170920openwrt | own_files/mt7628/files_4modem/lib/netifd/proto/3g.sh | Shell | gpl-2.0 | 3,622 |
# Easier navigation: .., ..., ...., ....., ~ and -
alias ..="cd .."
alias ...="cd ../.."
alias ....="cd ../../.."
alias .....="cd ../../../.."
alias ~="cd ~" # `cd` is probably faster to type though
alias -- -="cd -"
# Shortcuts
alias d="cd ~/Documents"
alias dl="cd ~/Downloads"
alias dt="cd ~/Desktop"
alias g="git"
a... | zhiyisun/dotfiles | zsh/aliases.zsh | Shell | gpl-2.0 | 4,038 |
#!/bin/bash
pylupdate4 menu_builder.pro
linguist fr.ts
| Oslandia/qgis-menu-builder | i18n/update_translation.sh | Shell | gpl-2.0 | 55 |
#!/bin/bash
NAME="config-fs"
ROOT_KEY="/env/testing"
MOUNT="./mount"
annonce() {
[ -n "$1" ] && echo "** $@"
}
failed() {
annonce "[failed] $@"
exit 1
}
check() {
if [ -n "$1" ]; then
echo -n "check: $2 "
eval "$1 >/dev/null"
if [ $? -ne 0 ]; then
echo "[failed]"
exit 1
fi
ec... | gambol99/config-fs | tests/bin/setup.sh | Shell | gpl-2.0 | 1,927 |
#Compile
if [[ $# = 1 ]]; then
. build/envsetup.sh
if [[ $? = 0 ]]; then
# Use local Java Development Kit 7
if (( $(java -version 2>&1 | grep version | cut -f2 -d".") > 7 )); then
echo "Using local OpenJDK 7..."
export JAVA_HOME=$(realpath ../jdk1.7.0_65);
fi
case $1 in
-u)
l... | myrom/scripts | CompileRamdisk.sh | Shell | gpl-2.0 | 812 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_PLATFORM=GNU-Linux-x86
CND_CONF=Debug
CND_DISTDIR=dist
CND_BUILDDIR=build
CND_DLIB_EXT=so
NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/c_prog_prac_... | unfitacorn/Practicals-in-CS237-C-and-UNIX | Practicals/c prog prac 7 linked list 2/nbproject/Package-Debug.bash | Shell | gpl-2.0 | 1,539 |
#!/bin/bash
#@author Justin Duplessis
if [ $# -lt 3 ]
then
echo "Usage: $0 user home password";
exit 2
fi
User=$1;
Home=$2;
Password=$3;
$(useradd $User -d $Home -s /bin/false -G sftp)
$(echo $User:$Password > /tmp/$User)
$(chpasswd < /tmp/$User)
$(rm /tmp/$User)
echo "[Script] User $User was created with pass... | jdupl/Lamp3000 | src/scripts/createUserWebHost.bash | Shell | gpl-2.0 | 336 |
#!/bin/sh
# Copyright (C) 2011-2018 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program i... | komh/automake-os2 | t/no-extra-makefile-code.sh | Shell | gpl-2.0 | 1,395 |
#!/bin/bash
# 本脚本提供如下功能,作者:Joey Yang, https://github.com/Code2Life
# 1. 在Ubuntu/CentOS/Fedora/ArchLinux中自动化的安装python+ansible;
# 2. clone kubeasz项目代码, 并将需要的二进制文件下载解压到/etc/ansible/bin中;
# 另外, 相关的k8s二进制文件, 我同步到了个人在七牛上的CDN存储中(速度更快), 方便大家下载: filecdn.code2life.top;
#
# 使用方法:
# 1. 支持带参数的运行, 如: ./basic-env-setup.sh k8s.193.t... | VoiceAddrBook/VAB | tools/basic-env-setup.sh | Shell | gpl-2.0 | 5,325 |
#!/bin/bash
if [ ! -h cache.lua ]; then
ln -s ../cache.lua
fi
#luajit test_coherence.lua test_coherence.trace
luajit test_coherence.lua date.mref.log
| zjutoe/cache_sim_lua | test/coherence.sh | Shell | gpl-2.0 | 157 |
#!/bin/sh
DRV_RELEASE="14.501.1003"
##############################################################
# COMMON HEADER: Initialize variables and declare subroutines
BackupInstPath()
{
if [ ! -d /etc/ati ]
then
# /etc/ati is not a directory or doesn't exist so no backup is required
return 0
fi
... | Scorpio92/linux_kernel_3.18.5 | drv/post_drv.sh | Shell | gpl-2.0 | 11,423 |
#!/bin/bash
# make gene example
../../../bin/spimap \
-a 100.nt.align \
-s ../../../examples/config/fungi.stree \
-S ../../../examples/config/fungi.smap \
-p ../../../examples/train/fungi.params \
-o 100 \
-D 0.000564 \
-L 0.003056 \
-i 100 \
--quickiter 1000 \
-V 1 --log -
c... | mdrasmus/spimap | doc/figures/gene-tree/make.sh | Shell | gpl-2.0 | 1,578 |
#! /bin/sh
#
# This is kernel build script for debian lenny's 2.6.26 kernel.
#
die () {
echo $1
exit 1
}
generate_meta_package() {
[ -r $1 ] || die "Can't find $1 ."
dpkg-deb -x $1 tmp
dpkg-deb -e $1 tmp/DEBIAN
dir=`echo -n tmp/usr/share/doc/*`
mv ${dir} ${dir}-ccs
sed -i -e 's:-686:-6... | renaudallard/kernel-froyo-GT-I9000 | specs/build-debian_lenny.sh | Shell | gpl-2.0 | 2,309 |
#!/bin/bash
#CACHE_DIR=/usr/local/vufind/httpd/local/cache
#if [ "$UID" -ne 0 ]; then
# echo "you have to be root to use the git update script because cache will be cleared"
# exit 1
#fi
BASEDIR=$(dirname $0)
INDEX="$BASEDIR/../public/index.php"
if [ -z "$LOCAL_DIR" ]; # if $LOCAL_DIR empty or unse... | swissbib/vufind | cli/tab40import.sh | Shell | gpl-2.0 | 724 |
#!/bin/sh
. $TESTSLIB/systemd.sh
wait_for_ssh(){
retry=300
while ! execute_remote true; do
retry=$(( retry - 1 ))
if [ $retry -le 0 ]; then
echo "Timed out waiting for ssh. Aborting!"
exit 1
fi
sleep 1
done
}
prepare_ssh(){
execute_remote "sudo a... | morphis/snapd | tests/lib/nested.sh | Shell | gpl-3.0 | 1,949 |
#!/bin/bash
# This file includes example uses for EnsembleRNA. You can test them by copy and pasting them into
# the command line or by running this script. These are only a few examples to help you get started.
# Try mixing and matching the different commands to personalize your visualization.
#####################... | cbtolson/ensemblerna_package | examples/example.sh | Shell | gpl-3.0 | 3,093 |
#!/bin/sh
# Ensure all javascript files staged for commit pass standard code style
git diff --name-only --cached --relative | grep '\.jsx\?$' | xargs standard
if [ $? -ne 0 ]; then exit 1; fi
| icymind/VRouter | .pre-commit.sh | Shell | gpl-3.0 | 192 |
#!/bin/bash
set -x
NN=4 # number of processors
#pismdir=../../builddev
pismdir=../../buildtill
#for MM in 11 21 41 81 161 321 641;
for MM in 11 21 41;
do
rm -f foo.txt
#./runTestP.py $pismdir "mpiexec -n ${NN}" $MM &> foo.txt
time ./runTestP.py --pism_path=$pismdir --mpiexec="mpiexec -n ${NN}" --Mx=$MM --keep... | talbrecht/pism_pik06 | test/test_hydrology/verifTestP.sh | Shell | gpl-3.0 | 411 |
#!/bin/bash
for i in `ls data/*.csv`; do
soubor=`echo "$i" | sed "s/\.csv//" | sed "s/data\///"`
cp data/$soubor.csv csv/$soubor.csv
gawk -v regexp='Ne .* 00:00:00' -f prevod.awk "data/$soubor.csv" > csv/$soubor-tydny.csv
gawk -v regexp='00:00:00' -f prevod.awk "data/$soubor.csv" > csv/$soubor-dny.csv
... | PetrDlouhy/scitace | make_csv.sh | Shell | gpl-3.0 | 505 |
#!/bin/bash
# Lidarr configuration for nginx
# Author: liara
# Copyright (C) 2019 Swizzin
# Licensed under GNU General Public License v3.0 GPL-3 (in short)
#
# You may copy, distribute and modify the software as long as you track
# changes/dates in source files. Any modifications to our software
# including (via ... | liaralabs/swizzin | scripts/nginx/lidarr.sh | Shell | gpl-3.0 | 1,425 |
#!/bin/bash
#
# tools/init_tools.sh
#
# Copyright (c) 2017-2018 Decorum Development Team <p01arst0rm@github.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the L... | p01arst0rm/decorum-linux | _include/mk/mk_tools.sh | Shell | gpl-3.0 | 1,913 |
#! /bin/bash
# A modification of Dean Clatworthy's deploy script as found here: https://github.com/deanc/wordpress-plugin-git-svn
# The difference is that this script lives in the plugin's git repo & doesn't require an existing SVN repo.
# main config
PLUGINSLUG="reset-slugs"
CURRENTDIR=`pwd`
MAINFILE="wp-reset-slug.... | codearachnid/wp-reset-slug | deploy.sh | Shell | gpl-3.0 | 2,971 |
#!/bin/bash
# -*- coding: utf-8 -*-
# Executes ddrescue for Linux when requested for DDRescue-GUI Version 2.0.0.
# This file is part of DDRescue-GUI.
# Copyright (C) 2013-2018 Hamish McIntyre-Bhatty
# DDRescue-GUI is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public Lic... | hamishmb/ddrescue-gui | Tools/helpers/runasroot_linux_ddrescue.sh | Shell | gpl-3.0 | 831 |
#!/bin/bash
FONT_D=/usr/local/share/fonts
# Fixedsys 3
wget http://www.fixedsysexcelsior.com/fonts/FSEX300.ttf
if [[ ! -e ${FONT_D} ]]; then
sudo mkdir ${FONT_D}
fi
sudo mv -vf *.ttf ${FONT_D}
sudo chmod 775 -R ${FONT_D}
sudo fc-cache -fv
| huyht1205/scripts | automation/font/install_font.sh | Shell | gpl-3.0 | 243 |
binutils=binutils:arc-2021.03-rc2
gcc=gcc:arc-2021.03-rc2
gdb=gdb:arc-2021.03-rc2-gdb
newlib=newlib:arc-2021.03-rc2
glibc=glibc:glibc-2.33
uclibc=uclibc-ng:v1.0.34
linux=linux:v5.1
| foss-for-synopsys-dwc-arc-processors/toolchain | config/arc-2021.03-rc2.sh | Shell | gpl-3.0 | 181 |
:
# $APPASERVER_HOME/src_predictive/ledger_no_journal_delete.sh
# -----------------------------------------------------------
if [ "$APPASERVER_DATABASE" != "" ]
then
application=$APPASERVER_DATABASE
elif [ "$DATABASE" != "" ]
then
application=$DATABASE
fi
if [ "$application" = "" ]
then
echo "Error in `basename.e... | timhriley/appaserver | src_predictive/ledger_no_journal_delete.sh | Shell | gpl-3.0 | 708 |
#!/bin/bash
#
P_MODE=$1;
P_FILES="travis.files-status.before travis.directories-status.before travis.files-status.after travis.directories-status.after";
P_PLACES="site modules cache/system";
for f in $P_FILES; do
touch $f;
done;
if [ "$P_MODE" == "before" ] || [ "$P_MODE" == "after" ]; then
find $P_PLACES -type f ... | daemonraco/toobasic | tests/assets/travis.save-files-status.sh | Shell | gpl-3.0 | 911 |
cd python
sudo mongod &
python3 tests.py || python tests.py
| HMRecord/website | runTests.sh | Shell | gpl-3.0 | 61 |
ldapwhoami | sed 's/dn://' | sed 's/ou=paris,//'
| randrini/42Pool | j00/ex04/who_am_i.sh | Shell | gpl-3.0 | 49 |
#!/bin/bash
# OpenRA packaging script for Linux (AppImage)
set -e
command -v make >/dev/null 2>&1 || { echo >&2 "Linux packaging requires make."; exit 1; }
command -v python >/dev/null 2>&1 || { echo >&2 "Linux packaging requires python."; exit 1; }
command -v tar >/dev/null 2>&1 || { echo >&2 "Linux packaging require... | ABrandau/OpenRA | packaging/linux/buildpackage.sh | Shell | gpl-3.0 | 5,778 |
#!/bin/bash
# +--------------------------------------------------------------------+
# EFA Project whitelist and blacklist mass import script
# Version 20140921
# +--------------------------------------------------------------------+
# Copyright (C) 2014~2017 http://www.efa-project.org
#
# This program is free softwar... | TheGr8Wonder/v3 | tools/userimport.sh | Shell | gpl-3.0 | 4,936 |
#!/bin/bash
java -server -cp "../libs/*" -Xms3g -Xmx3g -XX:MaxPermSize=512m -XX:+DisableExplicitGC org.mot.core.simulation.SimulationLoader $1 $2 $3 $4 $5 $6
| sgrotz/myopentrader | MyOpenTraderBin/bin/runSimulationLoader.sh | Shell | gpl-3.0 | 161 |
#! /usr/bin/env bash
echo "'$1'"
ID=$(python server/geturl.py "$1")
if [ -f "audio/${ID}.mp3" ]; then
echo "file downloaded"
echo "[ffmpeg] Post-process file ${ID}.mp3"
else
cd audio
youtube-dl -f bestaudio --no-progress -w -o "%(id)s.%(ext)s" --no-post-overwrites --extract-audio --audio-format mp3 -... | hsheth2/ensemble | server/yt.sh | Shell | gpl-3.0 | 384 |
#!/bin/bash
# Nginx configuration for couchpotato
# Author: liara
# Copyright (C) 2017 Swizzin
# Licensed under GNU General Public License v3.0 GPL-3 (in short)
#
# You may copy, distribute and modify the software as long as you track
# changes/dates in source files. Any modifications to our software
# including ... | liaralabs/swizzin | scripts/nginx/couchpotato.sh | Shell | gpl-3.0 | 1,100 |
#! /bin/sh
# Radio Paradise
mpc add http://stream-dc1.radioparadise.com/aac-320
# WBER
mpc add http://wber-ice-encoder.monroe.edu:80/wber-high.mp3
# Gilman St
mpc add http://stream.southofgilman.org:8000/
# BBC World
mpc add http://bbcwssc.ic.llnwd.net/stream/bbcwssc_mp1_ws-einws
# KQED
mpc add http://streams2.kqe... | ErnieBoxer/PiGuiPiano | scripts/mpc_stations.sh | Shell | gpl-3.0 | 731 |
#!/bin/bash
function generateDawg() {
type=$1
lang=$2
echo "Generate $1 for lang $2"
cp "plain-dict/plain_"$type"_"$lang".txt" bin/plain_dic.txt
cd bin
./blitzkrieg &> /dev/null
cd ..
rm bin/plain_dic.txt
rm bin/dawg_dic.txt
mv bin/dawg_dic.dat "../baggle-solver/src/inouire/bagg... | inouire/baggle | dict-gen/dict-generation.sh | Shell | gpl-3.0 | 1,011 |
# toggle English/German keyboard with alt+shift
[[ -f /usr/sbin/setxkbmap ]] && \
setxkbmap -option grp:alt_shift_toggle us,de
| vpenso/scripts | var/aliases/keymap.sh | Shell | gpl-3.0 | 135 |
#!/bin/sh
docker tag nodejs-d8 nodejs-d8:`date +%Y%m%d`
| jianyingdeshitou/docker-debian8 | nodejs-d8/tag-date.sh | Shell | gpl-3.0 | 56 |
#!/usr/bin/env bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
EXE="executable"
pushd $DIR
gcc -g -Wall -o $EXE test_array_init.c
./$EXE
# rm $EXE
popd
| ltf/lab | clab/makeandrun.sh | Shell | gpl-3.0 | 169 |
check_switch_c C99 -std=gnu99 "Cannot find C99 compatible compiler."
check_switch_c NOUNUSED -Wno-unused-result
add_define_make NOUNUSED "$HAVE_NOUNUSED"
check_switch_c NOUNUSED_VARIABLE -Wno-unused-variable
add_define_make NOUNUSED_VARIABLE "$HAVE_NOUNUSED_VARIABLE"
# There are still broken 64-bit Linux distros out... | tobiasjakobi/RetroArch | qb/config.libs.sh | Shell | gpl-3.0 | 7,037 |
#!/bin/sh
#
# Reindent CWD recursively using clang-format (assumed to be in your PATH),
# and per-component or per-directory .clang-format style specifications.
#
CPUS=`sysctl -n hw.logicalcpu`
CLANGFORMAT=`xcrun -find clang-format`
if [ ! -x "${CLANGFORMAT}" ]; then
echo "Could not find clang-format" 1>&2
e... | p01arst0rm/decorum-linux | _resources/kernels/xnu-x86/tools/reindent.sh | Shell | gpl-3.0 | 772 |
#!/bin/bash -xe
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
. ${DIR}/functions.sh
if [[ $EUID -ne 0 ]]; then
echo "This script must be run as root" 1>&2
exit 1
fi
if [[ "$#" -ne 5 ]]; then
echo "Usage: $0 board arch image release distro"
exit 1
fi
SYNCLOUD_BOARD=$1
ARCH=$2
SYNCLOUD_IMAGE=$3... | syncloud/image | tools/rootfs.sh | Shell | gpl-3.0 | 2,641 |
#! /bin/sh
# Java #
#export JAVA_HOME=/path/to/jdk
#export CLASSPATH=
#export PATH=$JAVA_HOME/bin:$PATH
## Apache Ant ##
#export ANT_HOME=/path/to/ant
#export ANT_OPTS=
#export PATH=$ANT_HOME/bin:$PATH
## Apache Maven ##
#export M2_HOME=/path/to/maven
#export M2=$M2_HOME/bin
#export MAVEN_OPTS=
#export M2_REPO=... | thiagobaptista/nix_stuff | exports/exports.sh | Shell | gpl-3.0 | 431 |
#! /bin/bash
if [[ ! -e "mytar" && ! -x "mytar" ]]
then
echo "El ejecutable mytar no esta en este directorio."
exit 1
fi
if [[ -d "tmp" ]]
then
echo "Exixte el dir tmp, se borrara"
rm -r tmp
fi
mkdir tmp && cd tmp
echo "Hello world!" > file1.txt
head -n10 /etc/passwd > file2.txt
head -c1024 /dev/ura... | albertoMarquez/SistemasOperativos-SO | Practica1/test.sh | Shell | gpl-3.0 | 697 |
###
#code to make it work on osx and linux
if
[[ $OSTYPE == darwin* ]]
then
readlink=$(which greadlink)
scriptdir="$(dirname $($readlink -f $0))"
else
scriptdir="$(dirname $(readlink -f $0))"
fi
#
#user defined variables that could be changed:
workingdir=./
script=$scriptdir/11-catSE.sh
###
function findSamples () {
... | pedrocrisp/NGS-pipelines | RNAseqPipe3/11-runner.sh | Shell | gpl-3.0 | 496 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.